#!/bin/sh

echo 'Uninstalling Yamaha AIC128-D...'

# Unload the driver
kextunload -b com.yamaha.dante.driver.aic128-d > /dev/null 2>&1

unset TARGET_FOUND

uninstall_one()
{
	SYS_DIR="$1"
	TARGET=${SYS_DIR}/yaic128-d.kext
	if [ -f "${TARGET}/Contents/Info.plist" ]
	then
		syslog -s -l 5 "Uninstalling Yamaha AIC128-D from ${TARGET}"
		rm -rf "${TARGET}"
		touch "${SYS_DIR}"
		TARGET_FOUND=1
	else
		syslog -s -l 5 "Uninstalling Yamaha AIC128-D: ${TARGET} not found"
	fi
}

uninstall_one /System/Library/Extensions
uninstall_one /Library/Extensions

pkgutil -f --forget com.yamaha.dante.driver.aic128-d > /dev/null 2>&1

echo

if [ -z "${TARGET_FOUND}" ]
then
	echo "Done (nothing to uninstall)"
	exit 1
else
	echo Done.
fi
